// Variables
@import 'variables';

body{
	padding-top: 170px;
}

.header-website{
	height: 170px;
	position: fixed;
	z-index: 100;
	width: 100%;
	top: 0;
	left: 0;

	.header-website-content{
		height: 105px;
	}

	.preheader-website{
		height: 65px;
		background: $dark;
	}

	.container{
		position: relative;
		z-index: 1;
		.logo{
			img{
				height: 52px;
				width: auto;
			}
		}
		nav{
			a{
				color: $dark;
				font-size: 1.05rem;
				display: inline-block;
				margin-left: 1.2rem;
			}
		}
	}
}

.home-carousel{
	.carousel-item{
		height: 550px;
		width: 100%;
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;
		.carousel-item-content{
			height: 100%;
			width: 100%;
			display: flex;
			align-items: center;
			justify-content: center;
			&:before{
				content: '';
				width: 100%;
				height: 100%;
				background: rgba($dark, .7);
				position: absolute;
				top: 0;
				left: 0;
				z-index: 1;
			}
			.description{
				width: 50%;
				text-align: center;
				position: relative;
				z-index: 2;
				color: $white;
				h1{
					font-size: 3.5rem;
					text-transform: uppercase;
				}
			}
		}
	}
}

.bg-pattern{
	background-color: linear-gradient(darken($dark, 3%), lighten($dark, 12%));
	background-image: url('/img/patterns/oriental-tiles.png');
	background-repeat: repeat;
	background-position: center;
	background-attachment: fixed;
	position: relative;

	&:before{
		content: '';
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		position: absolute;
		background: rgba($dark, .85);
	}
}

.thumb-icon{
	position: relative;

	img{
		width: 95px;
		height: auto;
		position: relative;
		z-index: 2;
	}
	span{
		position: relative;
		z-index: 2;
		text-transform: uppercase;
		font-weight: bold;
		font-size: .75rem;
		letter-spacing: .03rem;
	}
	
	&:before{
		content: '';
		position: absolute;
		top: -20px;
		left: -5px;
		bottom: -20px;
		right: -5px;
		background: $white;
		box-shadow: 0 5px 15px rgba(0,0,0,.2);
		z-index: 1;
		border-radius: $border-radius;
		opacity: 0;
		visibility: hidden;
		-webkit-transition: all .35s ease;
		-o-transition: all .35s ease;
		transition: all .35s ease;
	}

	&:hover{
		&:before{
			opacity: 1;
			visibility: visible;
		}
	}
}

.sub_menu_card{
	width: 900px;
    top: calc(100% + 49px);
    right: -15px;
}

.page-content{
	img{
		max-width: 100%;
		border-radius: $border-radius;
		box-shadow: $box-shadow-sm;
	}
	iframe{
		width: 100% !important;
		height: 50.625vh;
		border-radius: $border-radius;
		box-shadow: $box-shadow-sm;
	}
}


.btn{
	&.custom-btn{
		border-radius: 25px;
		padding: .75rem 1.8rem;
		&.custom-btn-white{
			background: $white;
			font-weight: bold;
			font-size: .75rem;
			text-transform: uppercase;
			letter-spacing: .05rem;
			color: $red;
			i{
				color: $dark;
			}
		}
	}
}

.overlay-card{
	position: relative;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	&:before{
		content: '';
		position: absolute;
		z-index: 1;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: linear-gradient(0deg, rgba($dark, 1), rgba($dark, .25));
	}
	a{
		position: relative;
		z-index: 2;
		color: rgba($white, .55);
		transition: all .25s ease;

		&:hover{
			color: rgba($white, .8);
		}
	}
	.description{
		position: relative;
		z-index: 2
	}
}